Pinnacle

List Conversation Messages

Serverhttps://api.pinnacle.sh/
POST
/conversations/{id}/messages

Retrieve a paginated and filtered list of messages for a specific conversation.

Path Parameters

idstring

Unique identifier of the conversation. This identifier is a string that always begins with the prefix conv_, for example: conv_1234567890.

Example
"resource_01J8K3R7M9"

Query Parameters

pageIndexintegerOptional

Zero-based index for pagination.

Range
0 <= value
Default
0
pageSizeintegerOptional

Number of messages to return per page.

Range
10 <= value <= 50
Default
10
sortOrderstringOptional

Sort order for messages.

  • asc: Oldest messages first
  • desc: Newest messages first (default)
Default
"desc"
Allowed values
"asc""desc"
directionstringOptional

Filter messages by direction.

  • INBOUND: Messages received from contacts
  • OUTBOUND: Messages sent to contacts
Allowed values
"INBOUND""OUTBOUND"
statusstringOptional

Filter messages by delivery status.

Allowed values
"PENDING""SENT""SEND_FAILED""DELIVERED""DELIVERY_FAILED""FALLBACK_SENT""RECEIVED""READ"
typestringOptional

Filter messages by protocol type.

Allowed values
"SMS""MMS""RCS"
dateFromstringOptional

Filter messages sent on or after this date (ISO 8601 format).

Format
date-time
Example
"2026-10-15T17:30:00Z"
dateTostringOptional

Filter messages sent on or before this date (ISO 8601 format).

Format
date-time
Example
"2026-10-15T17:30:00Z"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

Pinnacle referenceAsk Pinnacle

Get a sourced answer from the published documentation.

ViewingPinnacle documentation

Conversations are saved for analysis.

Try asking